@Echo off

title JobManagerCmdTools: DoRun: '%~nx0' // Start %date% %time%

set CmdCurRoot_DP=%~dp0
set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%
set InputLists_DP=%CmdCurRoot_DP%\01-Lists
set JobRoot_DP=%CmdCurRoot_DP%\02-JobRunDir

if not exist "%JobRoot_DP%" md "%JobRoot_DP%"

set List1_DPNE=%InputLists_DP%\01-CompareFilesByDirList.txt

REM dir %CmdCurRoot_DP%\..\..\..\..\*.*
REM dir %CmdCurRoot_DP%\..\..\..\..\..\03-BinPublic.ClientServer\JobManagerCmdTools.exe
REM pause

set toRun=%CmdCurRoot_DP%\..\..\..\..\03-BinPublic.ClientServer\JobManagerCmdTools.exe
set toRun=%toRun% -Action "SystemTools_2017_07"
set toRun=%toRun% -SubAction "CompareFilesByDirList"
set toRun=%toRun% -JobRoot_DP "%JobRoot_DP%"
set toRun=%toRun% -InFile1 "%List1_DPNE%"
set toRun=%toRun% -FileMaskPattern "*.prt"
set toRun=%toRun% -SourceRoot_DP "\\ServerNameSource\DataRoot"
set toRun=%toRun% -TargetRoot_DP "\\ServerNameTarget\DataRoot"
rem set toRun=%toRun% -pause
set toRun=%toRun% -pauseOnEnd

Echo ---------------------------------------------------------------------------
Echo %toRun%
Call %toRun%

pause
exit
